%
%  Digital Bathymetric Data Base - 1 minute Resolution (DBDB5) for the Indian Ocean

% Added by PCC 1/22/02

GetFunctionName = 'getrectg';
Server = 'http://pdas.navo.navy.mil/cgi-bin/nph-nc/data/DBDBV/DBDBV_indian_5minute.nc';
  
LonRange = [14.9581  120.0419];
LatRange =  [-72.0419  38.0419];
TimeRange = [1800.0 str2num(datestr(date,10))];
DepthRange = [0.0 0.0];
Resolution = 9.2;

DataName = 'Bathymetry - DBDB5 Indian Ocean - NAVOCEANO';

SelectableVariables = str2mat('Bathymetry');
DodsName = str2mat('Depth');

DataScale = [NaN NaN; NaN NaN; NaN NaN; NaN NaN; 0 -1.0];

Comments1 = sprintf('%s\n', ...
'                                  Naval Oceanographic Office', ...
'                      Digital Bathymetric Data Base - Variable Resolution', ...
' ',...
'                                              DBDB-V', ...
' ',...
'     The DBDB-V Database, is a digital bathymetric database which provides ocean', ...
'     floor depths at various gridded resolutions (i.e. 5, 2, 1, and 0.5 minute).', ...
'     The DBDB-V database was developed by NAVOCEANO to support the generation', ...
'     of bathymetric chart products and to provide ocean floor depth data to be', ...
'     integrated with other geophysical and environmental parameters for ocean modeling.', ... 
' ');

Comments2 = sprintf('%s\n', ...
'      Indian Ocean Coverage of the Digital Bathymetry Data Base 5 Min Resolution',...
'     ',...
'     This subset of the DBDB-V database provides ocean depths at every oceanic geographic',...
'     position evenly divisible by 5 minutes of latitude and longitude. ',...
'     ',...
'     A more complete description is avialable from the Global Change Master',...
'     Directory at:',...
'     ',...
'     http://gcmd2.gsfc.nasa.gov/servlets/md/getdif.py?xsl=brief_display.xsl&',...
'        entry_id=DBDB5&interface=FROMDODS');

Comments = [Comments1 Comments2];

