GetFunctionName = 'getrectg';
Server = 'http://ferret.pmel.noaa.gov/cgi-bin/dods/nph-dods/data/PMEL/surface_marine_sst_clm.nc';
	  
LonRange = [-180 180];
LatRange = [-90 90];
TimeRange = [1800.0 2000.0];
DepthRange = [0.0 0.0];
Resolution = NaN;
DataName = 'Atlas of Surface Marine Data 1994 - PMEL';

SelectableVariables = str2mat('Sea_Temp');
DodsName = str2mat('sst_clm');

Resolution = 111; 

%Comments1 = 'http://ferret.pmel.noaa.gov/LAS_docFiles/surface_marine_sst_clm.cdf.html';

Comments = sprintf('%s\n', ...
' ',...
'        Atlas of Surface Marine Data 1994 on CD-ROM',...
' ',...
' This data set is a subset of a 9 CD-ROMs contains raw and objectively ',...
' analyzed fields of surface marine anomalies of fluxes of heat, momentum, ',...
' and fresh water along with other parameters of interest. Revised monthly ',...
' mean fields are derived from individual observations in the Comprehensive ',...
' Ocean-Atmosphere Data Set (COADS Release 1 and an interim release for ',...
' the 1980s) from January 1945 to December 1993, and are analyzed on a ',...
' 1-degree by 1-degree global grid. Corrections have been made to reduce ',...
' wind speed bias associated with an erroneous Beaufort equivalent ',...
' scale, to quality control night-time fractional cloud cover ',...
' observations according to the brightness of the sky, to consider ',...
' weather-associated "sky obscured" cloudiness observations as valid ',...
' observations of 100% cloud cover, and to correct for erroneously ',...
' missing "clear" present weather observations after 1981. The data ',...
' are in the Unidata NetCDF format. Access subroutines in FORTRAN are ',...
' included on the CD-ROMs for those unfamiliar with NetCDF. ',...
' ',...
' The Atlas of Surface Marine Data is divided into five volumes. Volume ',...
' 1 contains in depth documentation of the data set, including all ',...
' parameterizations, calculations, analysis methods and bias corrections. ',...
' Volumes 2 through 5 contain graphical representations of the data, ',...
' including seasonal contour plots of climatology, standard deviation, ',...
' and anomalies of the analyzed quantities. ',...
'  ',...
' The data files associated with the Atlas are available on CD-ROM and ',...
' Exabyte tape.  Both analyzed and unanalyzed parameters are available. ',...
'  ',...
' The only parameter included here is: ',...
'  ',...
' Directly Observed Quantities ',...
' ---------------------------- ',...
' sea surface temperature ',...
'  ',...
' More information about the data, as well as ordering information, can ',...
' be found on the NODC WWW home page: http://www.nodc.noaa.gov ',...
'  ',...
' [This summary was condensed from NOAA/NESDIS Earth System Monitor ',...
' Vol. 6, No. 2, December 1995.] ',...
' (http://www.nodc.noaa.gov/OC5/asmdesm.html) ',...
' ',...
' Detailed information is available at: ',...
' http://ferret.pmel.noaa.gov/LAS_docFiles/surface_marine_sst_clm.cdf.html');

%Comments = [Comments1 Comments2];

