GetFunctionName = 'getrectg';
Server = 'http://ferret.pmel.noaa.gov/cgi-bin/dods/nph-dods/data/PMEL/ssta.bmrc.jul1993-dec1999.nc';
	  
LonRange = [-180 180];
LatRange = [-90 90];
TimeRange = [1993.0+6/12 1999.0+11/12];
DepthRange = [0.0 0.0];
Resolution = NaN;
DataName = 'Australian Bureau of Meteorology Monthly Climatology - PMEL';

SelectableVariables = str2mat('Sea_Temp');
DodsName = str2mat('SST');

%DataNull = cell(size(DodsName,1)+4,1);
%[DataNull(:)] = deal({nan}); 
%[DataNull(4:length(DataNull))] = deal({-9.999999790214768e+33}); 

Resolution = 2.0*111; % in km

Comments = sprintf('%s\n', ...
'          The Australian Bureau of Meteorology Research Centre (BMRC) SST analysis',... 
' ',...
'   Original resolution: 1-degree, weekly ',...
'   Data: in situ, corrected satellite, sea ice ',...
'   Period: Jul 1993 to Dec 1999 ',...
'   Ref: Neville Smith, 2000, personal communication.');

