%
%               FILE DESCRIBING Cane and Zebiak (1987) ENSO Model-1 Forecasts

% The preceding empty line is important.

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectg';

% FUNCTIONS -- OPTIONAL

% VARIABLES -- OPTIONAL
Server = str2mat(...
    'http://iridl.ldeo.columbia.edu/SOURCES/.ENSOFORECAST/.LDEO1/.03MON/dods', ...
    'http://iridl.ldeo.columbia.edu/SOURCES/.ENSOFORECAST/.LDEO1/.06MON/dods', ...
    'http://iridl.ldeo.columbia.edu/SOURCES/.ENSOFORECAST/.LDEO1/.12MON/dods');

% VARIABLES -- REQUIRED
LonRange = [124 288];
LatRange = [-29 29];
DepthRange = [0 0.0];
TimeRange = [1972.0 2001+2/12];
Resolution = 333.0;

DataName = 'Cane and Zebiak ENSO Model-1 SST Anomaly Forecasts - IRI';

SelectableVariables = str2mat('Sea Temp 3 Month','Sea Temp 6 Month', ...
    'Sea Temp 12 Month');
DodsName = str2mat('ssta','ssta','ssta');

Comments = 'http://iridl.ldeo.columbia.edu/SOURCES/.ENSOFORECAST/.dataset_documentation.html';