%
%               FILE DESCRIBING da Silva 1/2 degree Atlas of Marine Data CLIMATOLOGY

% The preceding empty line is important.

DataName = 'da Silva 1/2^\o Atlas of Surface Marine Data CLIMATOLOGY - IRI';

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectg';

% FUNCTIONS -- OPTIONAL

% VARIABLES -- OPTIONAL
Server = 'http://iridl.ldeo.columbia.edu/SOURCES/.DASILVA/.SMD94/.halfbyhalf/.climatology/dods';

% VARIABLES -- REQUIRED
LonRange = [0 360];
LatRange = [-90 90];
DepthRange = [0 0];
TimeRange = [1800 str2num(datestr(date,10))];
Resolution = 111.0;

SelectableVariables = str2mat('Buoyancy Flux','Evap minus Precip', ...
    'Cloud Fraction', ...
    'Latent Heat','Up Radiation','Precipitation','Spec Humidity', ...
    'Spec Humidity sea level', 'Spec Humidity Diff', ...
    'Relative Humidity','Air Temp','Sea Temp','Temp Diff', ...
    'Wind Stress U','Wind Stress V','Wind U','Wind V', ...
    'Sensible Heat', 'Down Radiation','Pressure','Heat Flux U', ...
    'Heat Flux V','Vapor Pressure','Moisture Flux U', ...
    'Moisture Flux V', 'Wind Speed','Air Density', ...
    'Monin-Obukov Length', 'Net Heat Flux', ...
    'Chi Longwave Sensitivity','Vapor Pressure Sensitivity', ...
    'Cloudiness Sensitivity', 'Ice Mask');
DodsName = str2mat('buoy','emp','cloud','latent','longrad', ...
    'precip', 'qair', 'qsea','qs-qa','rh','sat','sst','sst-sat', ...
    'taux','tauy','u3','v3','sensib','shortrad','slp','ua','va', ...
    'vappres', 'uq', 'vq','w3', 'airdens','zdl', 'netheat', 'achi', ...
    'ae','ac', 'ice');

%longwave Chi sensitivity coefficient -- what's this?
% how about shortwave Cloudiness sensitivity?

Comments = 'http://iridl.ldeo.columbia.edu/SOURCES/.DASILVA/.SMD94/.dataset_documentation.html';

