timestring = axunits{geopos(4)};
timestring = lower(timestring);

% try to automatically determine the time base
if ~isempty(instr('sec', timestring))
  timebase = 'seconds';
elseif ~isempty(instr('min',timestring))
  timebase = 'minutes';
elseif ~isempty(instr('hour',timestring))
  timebase = 'hours';
elseif ~isempty(instr('day',timestring))
  timebase = 'days';
elseif ~isempty(instr('mon',timestring))
  timebase = 'months';
elseif ~isempty(instr('year',timestring))
  timebase = 'years';
end

% prompt user for timebase manually if it is not saved
% or automagically obvious.
if isempty(timebase)
  if exist('MapNames') == 1    
    eval([ 'c = struct2cell(DAS.' tmap '.' tmap ');']);
    eval([ 'f = fieldnames(DAS.' tmap '.' tmap ');']);
  else
    eval([ 'c = struct2cell(DAS.' newfield1 '.' tmap ');']);
    eval([ 'f = fieldnames(DAS.' newfield1 '.' tmap ');']);
  end
  for i = 1:length(c)
    if isnumeric(c{i})
      c{i} = num2str(c{i}(:)');
    end
  end
	   
  m = cell(length(c),1);
  [m{:}] = deal(': ');
  cc = cellstr([strvcat(f{:}), strvcat(m{:}), strvcat(c{:})]);
  str2 = '';
  for j = 1:length(cc)
    str = cc{j};
    while ~isempty(strfind(str,'  '))
      str = strrep(str,'  ',' ');
    end
    str2 = [str2, sprintf('%s\n', str)];
  end
  str = sprintf('%s\n', ...
      'The GUI is not able to automatically determine', ...
      'the timebase (units) for this dataset.  Please examine', ...
      'the information below and specify the dataset', ...
      'time units as one of:', ...
      ' ', ...
      '           years months hours days minutes seconds', ...
      '');
  str = sprintf('%s', str, str2);
  prompt = '';
  tbase = dodsdlg(str, ...
      'NVODS Browser: Specify Timebase', 1, {prompt}, zeros(3,3));
  if ~isempty(tbase)
    tbase = char(tbase);
    if strcmp(tbase,'seconds')
      timebase = 'seconds';
    elseif strcmp(tbase,'minutes')
      timebase = 'minutes';
    elseif strcmp(tbase,'hours')
      timebase = 'hours';
    elseif strcmp(tbase,'days')
      timebase = 'days';
    elseif strcmp(tbase,'months')
      timebase = 'months';
    elseif strcmp(tbase,'years')
      timebase = 'years';
    end
  end
  if isempty(timebase)
    % if the timebase is STILL empty, we're f****.
    tmap = [];
    geopos(4) = 0;
    timestring = '';
  end
end % if isempty(timebase)
