
%
%               FILE DESCRIBING GISS Lineage AMIP Model II Prime

% The preceding empty line is important.

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectg';
% FUNCTIONS -- OPTIONAL

% VARIABLES -- OPTIONAL
Server = 'http://iridl.ldeo.columbia.edu/SOURCES/.GISS/.AMIP/dods';

% VARIABLES -- REQUIRED
LonRange = [-180.0 180.0];
LatRange = [-90.0 90.0];
DepthRange = [0.0 0.0];
TimeRange = [1985.0 1989.0];
Resolution = 277.5;

DataName = 'GISS Atmosphere Model Intercomparison Project (AMIP) Model II Prime - IRI';

SelectableVariables = str2mat('Absorbed Radiation','Evaporation', ...
    'Ground Temp','Down Radiation', 'Net Heat Flux','Precipitation', ...
    'Specific Humidity','Air Temp','Sensible Heat','Cloud Fraction');
DodsName = str2mat('ABSSRADS','EVAP','GTEM','INCSRADS', ...
    'NLWRADS', 'PRECIPITATION', 'SAHUM', 'SATEM', 'SENSHEAT', ...
    'TOTCLOUD');

Comments = ...
    'http://www-pcmdi.llnl.gov/phillips/modldoc/amip/20giss_ToC.html';
