
%
%               FILE DESCRIBING GISS SI2000 B399 Model run

% The preceding empty line is important.

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectg';
% FUNCTIONS -- OPTIONAL

% VARIABLES -- OPTIONAL
Server = ...
    str2mat('http://iridl.ldeo.columbia.edu/SOURCES/.GISS/.SI2000/.MONTHLY/.B399/.Surface/dods', ...
    'http://iridl.ldeo.columbia.edu/SOURCES/.GISS/.SI2000/.MONTHLY/.B399/.Surface/dods', ...
    'http://iridl.ldeo.columbia.edu/SOURCES/.GISS/.SI2000/.MONTHLY/.B399/.Surface/dods', ...
    'http://iridl.ldeo.columbia.edu/SOURCES/.GISS/.SI2000/.MONTHLY/.B399/.Surface/dods', ...
    'http://iridl.ldeo.columbia.edu/SOURCES/.GISS/.SI2000/.MONTHLY/.B399/.Surface/dods', ...
    'http://iridl.ldeo.columbia.edu/SOURCES/.GISS/.SI2000/.MONTHLY/.B399/.Surface/dods', ...
    'http://iridl.ldeo.columbia.edu/SOURCES/.GISS/.SI2000/.MONTHLY/.B399/.Ground/.bare/dods', ...
    'http://iridl.ldeo.columbia.edu/SOURCES/.GISS/.SI2000/.MONTHLY/.B399/.Ground/.combined/dods', ...
    'http://iridl.ldeo.columbia.edu/SOURCES/.GISS/.SI2000/.MONTHLY/.B399/.Ground/.root/dods', ...
    'http://iridl.ldeo.columbia.edu/SOURCES/.GISS/.SI2000/.MONTHLY/.B399/.Ground/.vegetated/dods');

% VARIABLES -- REQUIRED
LonRange = [-180.0 180.0];
LatRange = [-90.0 90.0];
DepthRange = [0.0 0.0];
TimeRange = [1951.0 2000.0];
Resolution = 277.5;

DataName = 'GISS B399 Model Output - IRI';

SelectableVariables = str2mat('Precipitation','Pressure', ...
    'Air Temp','Wind U','Wind V','Wind Speed','Bare Ground Wetness', ...
    'Root Ground Wetness', 'Combined Ground Wetness', ...
    'Vegetated Ground Wetness');
DodsName = str2mat('prcp','psl','temp','u','v','w','gwet','gwet','gwet','gwet');
Comments = 'http://www.giss.nasa.gov/data/si2000/results/';
