%               REYNOLDS SST WEEKLY MEANS

% The preceding empty line is important.
%
% Reynolds data at NOAA in Boulder.
% Note that the weekly data in Boulder are spread between two files:
% sst.wkmean.1981-1989.nc and sst.wkmean.1990-1996.nc. Also note that users
% will need DODS-2.15 or greater on the client side to read the data.

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectg'; 
% FUNCTIONS -- OPTIONAL

% VARIABLES -- OPTIONAL
Server = 'http://www.cdc.noaa.gov/cgi-bin/nph-nc/Datasets/reynolds_sst/sst.wkmean.1981-1989.nc';

% VARIABLES -- REQUIRED
LonRange = [0.0 360.0];
LatRange = [90.0 -90.0];
TimeRange = [1981.824657534247 1990];
DepthRange = [0 0];
DepthUnits = '';
Resolution = 111.0;

% force time axis to correct day
Time_Offset = [0 0 -2 0 0 0];

DataName = 'Reynolds Weekly Mean 1981-1989 - NCEP';   

Acknowledge = sprintf('%s\n%s', ...
    [ 'The authors of this dataset are R.W. Reynolds and T. M. Smith.  ', ...
      'The data were provided by the NOAA-CIRES Climate Diagnostics Center ', ...
      '(http://www.cdc.noaa.gov) and accessed via ', ...
      'the National Virtual Ocean Data System (NVODS: ', ...
      'http://www.unidata.ucar.edu/packages/dods).'], ...
    [ 'Citation: Reynolds, R. W. and T. M. Smith (1995).  A ', ...
      'high-resolution global sea surface temperature climatology.  ', ...
      'Journal of Climate 8, 1571--1583. ']);

SelectableVariables = str2mat('Sea_Temp');
DodsName = 'sst';

Data_Use_Policy = sprintf('%s\n%s%s%s', ...
    'Data Use Policy:', ...
    'Availability and usage restrictions: ', ...
    'Anonymous ftp at ftp.cdc.noaa.gov ', ...
    '~ftp/Datasets/reynolds_sst');

% COMMENTS

Comments = 'http://www.cdc.noaa.gov/cdc/data.reynolds_sst.html';
