function out = fpcompare(a1, a2, prec)

% Function to compare two floating point numbers to within only a
% certain number of digits.  Default precision is 6 digits.
% 
% Usage: FPCOMPARE(X1,X2,PREC).  X1 may be a vector or matrix.
% X2 must be a scalar, and PREC a non-negative integer.

% dbyrne 2002/09/23

if nargin < 2
  disp('USAGE: FCOMPARE(X1,X2,[PREC])')
  return
elseif nargin == 2
  prec = 6;
else
  if prec ~= floor(prec) | prec < 0
    disp('Precision must be a non-negative integer')
    return
  end
end

out = ones(size(a1));

if (a2 ~= 0)
  scale_a2 = log10(abs(a2));
else
  scale_a2 = 0;
end
pwr = floor(scale_a2)-prec;
out = [(floor(a1/(10^pwr))*(10^pwr)) == (floor(a2/(10^pwr))*(10^pwr))];

return
