function err = getfunction(server, function_name, directory)
% 
%   getfunction - reads a file function_name from a remote site
%                 and writes it into directory.
%

% Read the remote file into the Matlab workspace
dods_err = 0;
dods_err_msg = '';
loaddods('-e', [server function_name]);  

%% FAKE FOR TESTING
%if strcmp(function_name, 'MANIFEST')
%  dods_err = 0;
%  fid = fopen('/home/DODS/MANIFEST');
%  line = fgetl(fid);
%  content = '';
%  while line > -1
%    content = strvcat(content, line);
%    line = fgetl(fid);
%  end
%  fclose(fid);
%  clear fid line
%end
% END OF FAKE FOR TESTING
  
if dods_err
  dodsmsg(dods_err_msg)
  err = 1;
  return
end

% Open the local file into which the remote file is to be written...
% Note that quotes have already been removed from directory name.
% fopen does not like quotes in the filename.
fid=fopen([directory function_name],'w');  

% ...and write the file read from the remote site into the new file...
if fid > 0
  % Loop over lines in the file.
  for i=1:size(content,1)
    % Get current line and deblank
    line = content(i,:);
    line = deblank(line);
    % Remove trailing percent sign if present.
    if length(line) > 1
      if strcmp(line(length(line)), '%')
        line = line(1:length(line)-1);
        % now deblank again
        line = deblank(line);
      end
    end
    fprintf(fid,'%s\n',line);
  end
  err1 = 0;
  fclose(fid);  % ...and close the new file.
else
  err1 = 1;
end

% Check filename again and combine errors
err = checkfunction(function_name) | err1;

return
