function setdispchoice(argin1,argin2,argin3)

% SETDISPCHOICE     Part of the NVODS data browser.
%
%                 Xin Zhang  U. of Rhode Island, Nov. 30 2002
%                 zhangxin@ele.uri.edu
%
% This file is used to set the parameters of display_choices

global display_choices all_display_data

if nargin < 3
  disp('usage: setdispchoice(mode, varname, whichplot)')
  return
end
mode = argin1;
varname = argin2;
whichplot = argin3;
acqno = display_choices(whichplot).acqno;
acqchoices = cat(1,all_display_data(:).acqno);
acqindex = find(acqchoices == acqno);

switch mode
 case 'x'
  for j = 1:size(all_display_data(acqindex).name,1)
    if ~isempty(instr(varname, all_display_data(acqindex).name(j,:)))
      display_choices(whichplot).x = j;
      display_choices(whichplot).x_slice = ...
	  deblank(all_display_data(acqindex).name(j,:));
      display_choices(whichplot).x_slicesize = ...
	  all_display_data(acqindex).size{j};
    end
  end
    
 case 'y'
  for j = 1:size(all_display_data(acqindex).name,1)
    if ~isempty(instr(varname, all_display_data(acqindex).name(j,:)))
      display_choices(whichplot).y = j;
      display_choices(whichplot).y_slice = ...
	  deblank(all_display_data(acqindex).name(j,:));
      display_choices(whichplot).y_slicesize = ...
	  all_display_data(acqindex).size{j};
    end
  end
      
 case 'z'
  for j = 1:size(all_display_data(acqindex).name,1)
    if ~isempty(instr(varname, all_display_data(acqindex).name(j,:)))
      display_choices(whichplot).z = j;
      display_choices(whichplot).z_slice = ...
	  deblank(all_display_data(acqindex).name(j,:));
      display_choices(whichplot).z_slicesize = ...
	  all_display_data(acqindex).size{j};
    end
  end
    
        
 case 'zz'
  for j = 1:size(all_display_data(acqindex).name,1)
    if ~isempty(instr(varname, all_display_data(acqindex).name(j,:)))
      display_choices(whichplot).zz = j;
      display_choices(whichplot).zz_slice = ...
	  deblank(all_display_data(acqindex).name(j,:));
      display_choices(whichplot).zz_slicesize = ...
	  all_display_data(acqindex).size{j};
    end
  end
end
